FROM python:3.14-alpine
ENV PYTHONUNBUFFERED=1
COPY --from=ghcr.io/astral-sh/uv:latest /uv /uvx /usr/local/bin/
WORKDIR /code/
COPY pyproject.toml .
RUN uv venv && uv pip install -r pyproject.toml
COPY . .
ENTRYPOINT ["./entrypoint.sh"]
